## goopg 0.3.1

=== app/lib/Makefile ===
BOOTSTRAP_DIR = /usr/share/javascript/bootstrap
BOOTSTRAP_VER = 3.2.0

all: clean getbootstrap
	# build css
	lessc goopg-bootstrap.less css/goopg-bootstrap.css
	# fix font exposing
	sed "s~url('../fonts/~url('chrome-extension://__MSG_@@extension_id__/lib/fonts/~g" -i css/goopg-bootstrap.css
	# copy what we need
	mv bootstrap/fonts/ .
	# delete what we don't
	rm -fr bootstrap


clean:
	rm -fr fonts
	rm -fr bootstrap*
	rm -f css/goopg-bootstrap.css


getbootstrap:
	if [ -d "$(BOOTSTRAP_DIR)" ] ; then cp -r $(BOOTSTRAP_DIR) bootstrap ; \
	else \
		curl -L -o bootstrap.tar.gz https://github.com/twbs/bootstrap/archive/v$(BOOTSTRAP_VER).tar.gz ; \
		tar xzf bootstrap.tar.gz ; \
		mv bootstrap-$(BOOTSTRAP_VER)/ bootstrap ; \
		rm bootstrap.tar.gz ; \
	fi

=== debian/changelog ===
goopg (0.3.1-9) unstable; urgency=medium

  * Revert python 3 changes.
  * Refer to gpg2 as gpg

 -- David Steele <steele@debian.org>  Mon, 26 Feb 2018 01:18:24 -0500

goopg (0.3.1-8) unstable; urgency=medium

  * Fix autopkgtest for python3.

 -- David Steele <steele@debian.org>  Sun, 17 Dec 2017 21:25:38 -0500

goopg (0.3.1-7) unstable; urgency=medium

  * Update to python3.
  * Lintian updates.

 -- David Steele <steele@debian.org>  Sat, 16 Dec 2017 16:27:37 -0500

goopg (0.3.1-6) unstable; urgency=medium

  * Add shebangs to all install scripts (Closes: 862683).
  * Implement debci CI test

 -- David Steele <steele@debian.org>  Fri, 16 Jun 2017 13:28:42 -0400

goopg (0.3.1-5) unstable; urgency=medium

  * Updated appstream data.

 -- David Steele <steele@debian.org>  Thu, 01 Dec 2016 20:31:50 -0500

goopg (0.3.1-4) unstable; urgency=medium

  * Add author as uploader.
  * Add Appstream data.

 -- David Steele <steele@debian.org>  Tue, 15 Nov 2016 09:03:28 -0500

goopg (0.3.1-3) unstable; urgency=medium

  * Use triggers to install the Chromium/Chrome config file.

 -- David Steele <steele@debian.org>  Wed, 09 Nov 2016 20:12:38 -0500

goopg (0.3.1-2) unstable; urgency=medium

  * Clarify copyright statement in the copyright file
  * Initial Debian release (Closes: 825820)

 -- David Steele <steele@debian.org>  Tue, 01 Nov 2016 15:40:46 -0400

goopg (0.3.1-1) unstable; urgency=low

  * Initial Debian release (Closes: 825820)

 -- David Steele <steele@debian.org>  Sat, 01 Oct 2016 18:21:00 -0400

goopg (0.3.1) UNRELEASED; urgency=medium

  * Fix catching exception.

 -- Leo Iannacone <l3on@ubuntu.com>  Fri, 26 Aug 2016 08:45:08 +0100

goopg (0.3.0) UNRELEASED; urgency=medium

  * Update to python-oauth2client (>= 2.0.1-1)
  * Update to new Gmail HTML format
  * debian/control:
    - bump debhelper version 9
    - bump StandardsVersion 3.9.8
    - fix VCS git secure to https
    - add dep python-oauth2client (>= 2.0.1-1)
  * debian/compat: bump 9

 -- Leo Iannacone <l3on@ubuntu.com>  Thu, 25 Aug 2016 23:17:18 +0100

goopg (0.2.2) UNRELEASED; urgency=medium

  * Fix Receivers addresses with comma.

 -- Leo Iannacone <l3on@ubuntu.com>  Fri, 27 Mar 2015 11:00:08 +0100

goopg (0.2.1) UNRELEASED; urgency=medium

  * New host release.

 -- Leo Iannacone <l3on@ubuntu.com>  Fri, 27 Mar 2015 11:00:08 +0100

goopg (0.2.0) UNRELEASED; urgency=medium

  [Leo Iannacone]
  * Returns the version of the plugin on init bundle.
  * Add import key handler.

  [Kartik Mistry]
  * Fix Debian install using dh_python2.
  * Fix documentation style.

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 16 Nov 2014 16:50:34 +0100

goopg (0.1.0) UNRELEASED; urgency=medium

  * Initial release.

 -- Leo Iannacone <l3on@ubuntu.com>  Sat, 08 Nov 2014 14:34:27 +0100

=== debian/control ===
Source: goopg
Section: mail
Priority: optional
Standards-Version: 4.1.3
Maintainer: David Steele <steele@debian.org>
Uploaders: Leo Iannacone <l3on@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-buildinfo,
               dh-python,
               python | python-all | python-dev | python-all-dev
Homepage: http://leoiannacone.github.io/goopg/
Vcs-Git: https://github.com/davesteele/goopg.git -b debian
Vcs-Browser: https://github.com/davesteele/goopg

Package: goopg
Architecture: all
Depends: python-gflags,
         python-gnupg,
         python-googleapi,
         python-oauth2client (>= 2.0.1-1),
         python-xdg,
         gnupg-agent,
         gpg (>= 2.1),
         ${misc:Depends},
         ${python:Depends},
Recommends: chromium
Suggests: google-chrome-stable
Description: GPG for Chromium GMail
 Goopg is a Chromium Native Messaging Host utility for GMail. It allows
 one to verify and sign emails in GMail web page, using GnuPG. The Chrome
 'goopg' Extension is also required.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

HOST_PATH := /usr/share/goopg/chrome-main.py
EXT_ID := ifpoaednafmgolabhpjmbimllaoidelg
TEMPLATE := templates/com.leoiannacone.goopg.json.in
OUT := debian/com.leoiannacone.goopg.json

PKD = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
PKG = $(shell dpkg-parsechangelog -l$(PKD)/changelog --show-field=Source)
VER ?= $(shell (dpkg-parsechangelog -l$(PKD)/changelog | grep Version | sed 's/Version..//' | sed 's/-.\+//'))

override_dh_auto_build:
	sed -e "s|@HOST_PATH@|$(HOST_PATH)|" -e "s|@EXT_ID@|$(EXT_ID)|" $(TEMPLATE) > $(OUT)

override_dh_auto_clean:
	make -C app/lib/ clean
	rm -f $(OUT) app/goopg-web-extension-id.js `find -name *.pyc`

.PHONY get-orig-source:
get-orig-source:  $(info I: $(PKG)_$(VER))
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)

=== debian/tests/control ===
Tests: python2

=== debian/watch ===
version=3

https://github.com/LeoIannacone/goopg/tags .*archive/v?(\d\S*)\.tar\.gz
